### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-footer/deprecated/common/ecl-footer.component.ts`

### Deprecated

### Extends

`ECLBaseDirective`

### Metadata

template |
    <div></div>

### Index

###### Properties
languageCode
###### Methods
handlei18nEvents isGroup getCssClasses
###### Inputs
group class e2eAttr
###### Accessors
ecLogoLanguageCode

### Constructor

`constructor(translateService: TranslateService, eclLanguageService: EclLanguageService)`
Parameters :
Name | Type | Optional
translateService | `TranslateService` | No
eclLanguageService | `EclLanguageService` | No

### Inputs

group
Type : `string`
Default value : `'2'`

class
Type : `string`

e2eAttr
Type : `any`

### Methods

handlei18nEvents
`handlei18nEvents()`
Returns : `void`

isGroup
`isGroup(groupId: string)`
Parameters :
Name | Type | Optional
groupId | `string` | No
Returns : `boolean`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

languageCode
Type : `string`
Default value : `'en'`

### Accessors

ecLogoLanguageCode
get `ecLogoLanguageCode()`

# results matching ""

# No results matching ""